# $Revision: 1.33 $, $Date: 2006/08/10 12:21:40 $
Summary:	Displays who is logged in to local network machines
Summary(de):	Anzeige von Login-Infos fr alle Computer im LAN
Summary(es):	Ensea la informacin del login para todas las mquinas en red local
Summary(fr):	Affiche les informations de login pour toutes les machines du rseau local
Summary(pl):	Pokazuje kto jest zalogowany na maszynach w sieci lokalnej
Summary(pt_BR):	Mostra a informao do login para todas as mquinas na rede local
Summary(tr):	A zerindeki makinalardaki kullanclar sorgular
Name:		rwho
Version:	0.17
Release:	16
License:	BSD
Group:		Networking/Daemons
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	0f71620d45d472f89134ba0d74242e75
Source1:	%{name}d.init
Source2:	%{name}d.sysconfig
Patch0:		%{name}-alpha.patch
Patch1:		%{name}-bug22014.patch
Patch2:		%{name}-fixbcast.patch
Patch3:		%{name}-fixhostname.patch
Patch4:		%{name}-debian-0.17-8.diff
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rwho command displays output similar to the output of the who
command (it shows who is logged in) for all machines on the local
network running the rwho daemon.

%description -l de
Das rwho-Programm zeigt an, welche Anwender auf den Computern im LAN
eingeloggt sind, die den rwho-Dmon ausfhren. Sowohl der rwho-Client
als auch der Dmon werden mitgeliefert.

%description -l es
El programa rwho ensea cual de los usuarios estn logados en las
mquinas de la red local que estn ejecutando el servidor rwho. El
cliente y el servidor se ofrecen en este paquete.

%description -l fr
Le programme rwho affiche quels utilisateurs sont connects sur les
machines du rseau local qui ont lanc le dmon rwho. Le client et le
dmon rwho sont fournis dans ce package.

%description -l pl
Polecenie rwho pokazuje, w sposb podobny do who, kto jest zalogowany
w sieci lokalnej na wszystkich maszynach, na ktrych dzia demon
rwho.

%description -l pt_BR
O programa rwho mostra quais usurios esto logados nas mquinas da
rede local que estejam rodando o servidor rwho. O cliente e o servidor
so fornecidos neste pacote.

%description -l tr
rwho hizmetini sunan bir adaki tm makinalarda alan tm
kullanclar bu komutla sralanabilir. Bu paket hem istemci yazlmn
hem de sunucu yazlmn iermektedir.

%prep
%setup -q -n netkit-%{name}-%{version}
#%patch0 -p1
%patch4 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./configure

%{__make} \
	CFLAGS="%{rpmcflags} -w"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},/var/spool/rwho}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rwhod
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rwhod

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 174 rwhod
%useradd -u 174 -d /usr/share/empty -s /bin/false -c "rwhod User" -g rwhod rwhod

%post
/sbin/chkconfig --add rwhod
%service rwhod restart "rwhod server"

%preun
if [ "$1" = "0" ]; then
	%service rwhod stop
	/sbin/chkconfig --del rwhod
fi

%postun
if [ "$1" = "0" ]; then
	%userremove rwhod
	%groupremove rwhod
fi

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/rwhod
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*

%{_mandir}/man[18]/*

%dir /var/spool/rwho

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rwho.spec,v $
Revision 1.33  2006/08/10 12:21:40  baggins
- release 16
- added required rwhod user

Revision 1.32  2006/05/21 22:14:34  glen
- rel 15

Revision 1.31  2006/03/13 22:13:30  glen
- use %service

Revision 1.30  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.29  2005/06/17 21:36:21  areq
- add patch from debian (fix gcc4, security CAN-2004-1180)
- alpha.patch outdated ?

Revision 1.28  2004/04/26 18:42:05  adamg
- release 14 for Ac (13 is for Ra)

Revision 1.27  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.26  2003/05/28 13:01:43  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:26:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:14:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2002/01/08 14:47:10  qboosh
- s/postun/preun/ (init.d/rwhod must exist to stop daemon)

Revision 1.20  2001/10/02 07:27:03  qboosh
- release 13: changed Requires: /sbin/chkconfig to Prereq; added pl description

Revision 1.19  2001/10/02 01:54:30  kloczek
- release 12,
- merged rawhide patches,
- added translations stolen from CNV.

Revision 1.18  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.15  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.13  2000/08/24 21:28:14  pascalek
- update to 0.17

Revision 1.12  2000/06/12 14:46:05  kloczek
- added de, fr, tr translations from BeroLinux spec file.

* Mon Jun 07 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- start at RH spec file
- major changes follow the PLD policy
